REM 12/23/11
REM Gentlemen of Steelport Optional Mod Batch Installer by IdolNinja
REM http://idolninja.com

@echo off

REM Double check and make sure the dummy actually extracted the entire archive

IF NOT EXIST "optional_mod_stuff" (
echo.
echo.
echo WARNING - Optional mods folder doesn't exist. 
echo    Did you forget to extract the whole archive?
echo.
pause
GOTO OOPS
)

IF NOT EXIST "MY_CUSTOM_SR3_MODS" (
echo.
echo.
echo WARNING - MY_CUSTOM_PATCH folder doesn't exist. 
echo    Did you forget to extract the whole archive?
echo.
pause
GOTO OOPS
)

:SET_VARS

SET BUILD_STYLE=PATCH

REM This sets up the default standard coop compatible mod selections

SET MISSION_REPLAY_MOD=installed
SET ALL_CUSTOMIZATION_MOD=installed
SET WARDROBE_COLOR_CHANGER_MOD=installed
SET TANK_RADIO_MOD=installed
SET CHEATS_MOD=installed
SET EXTRA_CLOTHING_MOD=installed
SET EXTRA_COLORS_CLOTHING_MOD=installed
SET CRUISE_CONTROL_LOWERED_MOD=installed
SET SCYTHE_SOUNDFIX_MOD=installed

REM These are the optional mods. We're going to turn them all off by default
SET STICKY_CAM_MOD=none
SET NOAUTOAIM_MOD=none
SET INCREASEDFOV_MOD=none
SET DISABLE_TUTORIAL_MOD=none
SET CLIP_EDITOR_MOD=none
SET CLIP_EDITOR_HIDEHUD_MOD=none
SET EXTENDED_SLIDERS_MOD=none
SET EXTENDED_TAUNTS_MOD=none
SET BLOWUP_FACE_TOILET_LEGS_MOD=none
SET BIG_HAT_REMOVAL_MOD=none
SET HEIGHT_1_CHILD_MOD=none
SET HEIGHT_2_TEEN_MOD=none
SET HEIGHT_3_FEMALE_MOD=none
SET HEIGHT_4_BRUTE_MOD=none
SET HELI_BOAT_CUSTOMIZATION_MOD=none
SET SPECTER_SPEED_MOD=none
SET DEATH_ORB_MOD=none
SET WHEEL_SIZE_MOD=none
SET BULLDOG_MOD=none
SET SUPERFAST_MOD=none
SET PERM_TEMP_WEAPONS_MOD=none
SET WEAPON_REBALANCE_MOD=none
SET HANDGUN_FUN_MOD=none
SET EXCESSIVE_MOD=none
SET GRAVEDIGGER_MOD=none
SET ERADICATOR_MOD=none
SET EPIC_AIRSTRIKE_MOD=none
SET WEAPON_ALL_MOD=notready
SET GPO_ETHICAL_TOUGH_MOD=none
SET GPO_ETHICAL_FRAGILE_MOD=none
SET GPO_UNETHICAL_TOUGH_MOD=none
SET GPO_UNETHICAL_FRAGILE_MOD=none
SET GPO_CROWD_MOD=none
SET OPEN_CHEATS_MOD=none
SET NO_NOTORIETY_MOD=none
SET HOMIE_ALT_MOD=none
SET PIXEL_ZOMBIE_MOD=none
SET FASTANDMAD_MOD=none
SET SADPANDA_MOD=none
SET AVATAR_RAMPAGE_MOD=none
SET HQ_HELIPAD_TELEPORT_MOD=none

REM These are menu variables that set a plus sign if submenu choices (mods) are selected
SET COREMODS_MENU_PLUS=installed
SET INTERFACE_MENU_PLUS=none
SET CHARACTER_MENU_PLUS=none
SET VEHICLE_MENU_PLUS=none
SET WEAPON_MENU_PLUS=none
SET GANG_MENU_PLUS=none
SET CHEAT_MENU_PLUS=none
SET MISC_MENU_PLUS=none
GOTO SPLASH_MENU

:WIPE_ALL
SET MISSION_REPLAY_MOD=none
SET ALL_CUSTOMIZATION_MOD=none
SET WARDROBE_COLOR_CHANGER_MOD=none
SET TANK_RADIO_MOD=none
SET CHEATS_MOD=none
SET EXTRA_CLOTHING_MOD=none
SET EXTRA_COLORS_CLOTHING_MOD=none
SET CRUISE_CONTROL_LOWERED_MOD=none
SET SCYTHE_SOUNDFIX_MOD=none
SET STICKY_CAM_MOD=none
SET NOAUTOAIM_MOD=none
SET INCREASEDFOV_MOD=none
SET DISABLE_TUTORIAL_MOD=none
SET CLIP_EDITOR_MOD=none
SET CLIP_EDITOR_HIDEHUD_MOD=none
SET EXTENDED_SLIDERS_MOD=none
SET EXTENDED_TAUNTS_MOD=none
SET BLOWUP_FACE_TOILET_LEGS_MOD=none
SET BIG_HAT_REMOVAL_MOD=none
SET HEIGHT_1_CHILD_MOD=none
SET HEIGHT_2_TEEN_MOD=none
SET HEIGHT_3_FEMALE_MOD=none
SET HEIGHT_4_BRUTE_MOD=none
SET SET HELI_BOAT_CUSTOMIZATION_MOD=none
SET SPECTER_SPEED_MOD=none
SET DEATH_ORB_MOD=none
SET WHEEL_SIZE_MOD=none
SET BULLDOG_MOD=none
SET SUPERFAST_MOD=none
SET PERM_TEMP_WEAPONS_MOD=none
SET WEAPON_REBALANCE_MOD=none
SET HANDGUN_FUN_MOD=none
SET EXCESSIVE_MOD=none
SET GRAVEDIGGER_MOD=none
SET ERADICATOR_MOD=none
SET EPIC_AIRSTRIKE_MOD=none
SET WEAPON_ALL_MOD=notready
SET GPO_ETHICAL_TOUGH_MOD=none
SET GPO_ETHICAL_FRAGILE_MOD=none
SET GPO_UNETHICAL_TOUGH_MOD=none
SET GPO_UNETHICAL_FRAGILE_MOD=none
SET GPO_CROWD_MOD=none
SET OPEN_CHEATS_MOD=none
SET NO_NOTORIETY_MOD=none
SET HOMIE_ALT_MOD=none
SET PIXEL_ZOMBIE_MOD=none
SET FASTANDMAD_MOD=none
SET SADPANDA_MOD=none
SET AVATAR_RAMPAGE_MOD=none
SET HQ_HELIPAD_TELEPORT_MOD=none
SET COREMODS_MENU_PLUS=none
SET INTERFACE_MENU_PLUS=none
SET CHARACTER_MENU_PLUS=none
SET VEHICLE_MENU_PLUS=none
SET WEAPON_MENU_PLUS=none
SET GANG_MENU_PLUS=none
SET CHEAT_MENU_PLUS=none
SET MISC_MENU_PLUS=none
GOTO ADVANCED_MENU

:SPLASH_MENU
REM INTRO SPLASH SCREEN
cls
echo.
echo     Welcome to the Gentlemen of Steelport SRTT Mod Config Tool!
echo.
echo.
echo.
echo.
echo    If you are playing coop then I strongly urge you to choose OPTION C
echo    which will create the standard Coop Compatible build of GoS.
echo.
echo.
echo    Selecting OPTION A will open Advanced Mode and let you pick and choose
echo    exactly what mods you want from a menu system. 
echo.
echo.
echo.
echo.   IMPORTANT - Don't forget to run the mod cleanup tool from your
echo.               install folder first before building this compilation
echo.
echo.
echo    C - Standard Coop Compatible Build      A - Advanced Mode
echo.
echo.
SET input=badInput
SET /p input=Type in a menu item number: 
IF /i '%input%'=='C' GOTO BUILD
IF /i '%input%'=='A' GOTO ADVANCED_MENU

echo.
echo Did you really just type in %input%? Stop for a brief moment, and let your gaze
echo wander up to all of the delightful menu choices above. Now, pick one of them.
pause
GOTO SPLASH_MENU


:ADVANCED_MENU

cls

@echo off
echo *******************************************************************************
echo *            GENTLEMEN OF STEELPORT V1.0 FANCY ASS ADVANCED MENU              *
echo *                                                                             *
if '%COREMODS_MENU_PLUS%'=='none' (
echo *   1. CORE MODS MENU - COOP COMPATIBLE BUILD DEFAULT MODS                    *
)
if '%COREMODS_MENU_PLUS%'=='installed' (
echo * + 1. CORE MODS MENU - COOP COMPATIBLE BUILD DEFAULT MODS                    *
)
echo *                                                                             *
echo *      OPTIONAL MODS                                                          *
echo *                                                                             *
if '%INTERFACE_MENU_PLUS%'=='none' (
echo *   2. INTERFACE AND CONTROL MODS                                             *
)
if '%INTERFACE_MENU_PLUS%'=='installed' (
echo * + 2. INTERFACE AND CONTROL MODS                                             *
)
if '%CHARACTER_MENU_PLUS%'=='none' (
echo *   3. CHARACTER AND CLOTHING MODS                                            *
)
if '%CHARACTER_MENU_PLUS%'=='installed' (
echo * + 3. CHARACTER AND CLOTHING MODS                                            *
)
if '%VEHICLE_MENU_PLUS%'=='none' (
echo *   4. VEHICLE MODS                                                           *
)
if '%VEHICLE_MENU_PLUS%'=='installed' (
echo * + 4. VEHICLE MODS                                                           *
)
if '%WEAPON_MENU_PLUS%'=='none' (
echo *   5. WEAPON MODS                                                            *
)
if '%WEAPON_MENU_PLUS%'=='installed' (
echo * + 5. WEAPON MODS                                                            *
)
if '%GANG_MENU_PLUS%'=='none' (
echo *   6. GANG PLUS ONE MOD MENU                                                 *
)
if '%GANG_MENU_PLUS%'=='installed' (
echo * + 6. GANG PLUS ONE MOD MENU                                                 *
)
if '%CHEAT_MENU_PLUS%'=='none' (
echo *   7. CHEAT MODS                                                             *
)
if '%CHEAT_MENU_PLUS%'=='installed' (
echo * + 7. CHEAT MODS                                                             *
)
if '%MISC_MENU_PLUS%'=='none' (
echo *   8. MISC MODS                                                              *
)
if '%MISC_MENU_PLUS%'=='installed' (
echo * + 8. MISC MODS                                                              *
)
echo *                                                                             *
echo *   P. BUILD PATCH STYLE COMPILATION    or    L. BUILD LOOSE MOD COLLECTION   *
echo *                                                                             *
echo * Patch style creates 2 patches to replace originals in /cache. Neat and Clean*
echo *                                                                             *
echo * Loose creates tons of individual mods to put in the root. Messy but leaves  *
echo *    original files intact. Both will function exactly the same way in-game.  *
echo *******************************************************************************
echo.

SET input=badInput
SET /p input=Type in a menu item number: 
IF '%input%'=='1' GOTO COREMODS_MENU
IF '%input%'=='2' GOTO INTERFACE_MENU
IF '%input%'=='3' GOTO CHARACTER_MENU
IF '%input%'=='4' GOTO VEHICLE_MENU
IF '%input%'=='5' GOTO WEAPON_MENU
IF '%input%'=='6' GOTO GANG_MENU
IF '%input%'=='7' GOTO CHEAT_MENU
IF '%input%'=='8' GOTO MISC_MENU

IF /i '%input%'=='x' GOTO WIPE_ALL

IF /i '%input%'=='p' GOTO SET_BUILD_TYPE_PATCH
IF /i '%input%'=='l' GOTO SET_BUILD_TYPE_LOOSE

echo.
echo Did you really just type in %input%? Stop for a brief moment, and let your gaze
echo wander up to all of the delightful menu choices above. Now, pick one of them.
pause
GOTO ADVANCED_MENU




:COREMODS_MENU

cls
echo *******************************************************************************
echo *                   CORE MODS - COOP COMPATIBLE DEFAULTS                      *
echo *                                                                             *
if '%MISSION_REPLAY_MOD%'=='none' (
echo *   1. Mission Replay                                                         *
)
if '%MISSION_REPLAY_MOD%'=='installed' (
echo * I 1. Mission Replay                                                         *
)
if '%ALL_CUSTOMIZATION_MOD%'=='none' (
echo *   2. All Vehicle Extended Customization and Delete Rewards                  *
)
if '%ALL_CUSTOMIZATION_MOD%'=='installed' (
echo * I 2. All Vehicle Extended Customization and Delete Rewards                  *
)
if '%WARDROBE_COLOR_CHANGER_MOD%'=='none' (
echo *   3. Wardrobe Color Changer                                                 *
)
if '%WARDROBE_COLOR_CHANGER_MOD%'=='installed' (
echo * I 3. Wardrobe Color Changer                                                 *
)
if '%TANK_RADIO_MOD%'=='none' (
echo *   4. Enable tank radios and disable forced notoriety                        *
)
if '%TANK_RADIO_MOD%'=='installed' (
echo * I 4. Enable tank radios and disable forced notoriety                        *
)
if '%CHEATS_MOD%'=='none' (
echo *   5. Additional Cheats                                                      *
)
if '%CHEATS_MOD%'=='installed' (
echo * I 5. Additional Cheats                                                      *
)
if '%EXTRA_CLOTHING_MOD%'=='none' (
echo *   6. New Clothing for sale                                                  *
)
if '%EXTRA_CLOTHING_MOD%'=='installed' (
echo * I 6. New Clothing for sale                                                  *
)
if '%EXTRA_COLORS_CLOTHING_MOD%'=='none' (
echo *   7. Extra Colors for Clothing and Makeup                                   *
)
if '%EXTRA_COLORS_CLOTHING_MOD%'=='installed' (
echo * I 7. Extra Colors for Clothing and Makeup                                   *
)
if '%CRUISE_CONTROL_LOWERED_MOD%'=='none' (
echo *   8. Cruise Control HUD Lowered                                             *
)
if '%CRUISE_CONTROL_LOWERED_MOD%'=='installed' (
echo * I 8. Cruise Control HUD Lowered                                             *
)
if '%SCYTHE_SOUNDFIX_MOD%'=='none' (
echo *   9. Scythe Weapon Sound Fix                                                *
)
if '%SCYTHE_SOUNDFIX_MOD%'=='installed' (
echo * I 9. Scythe Weapon Sound Fix                                                *
)
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *   0. Return to Main Menu                                                    *
echo *                                                                             *
echo *******************************************************************************
echo.

SET input=badInput
SET /p input=Type in a menu item number: 
IF '%input%'=='1' GOTO MISSION_REPLAY
IF '%input%'=='2' GOTO ALL_CUSTOMIZATION
IF '%input%'=='3' GOTO WARDROBE_COLOR_CHANGER
IF '%input%'=='4' GOTO TANK_RADIO
IF '%input%'=='5' GOTO CHEATS
IF '%input%'=='6' GOTO EXTRA_CLOTHING
IF '%input%'=='7' GOTO EXTRA_COLORS_CLOTHING
IF '%input%'=='8' GOTO CRUISE_CONTROL_LOWERED
IF '%input%'=='9' GOTO SCYTHE_SOUNDFIX
IF '%input%'=='0' GOTO ALL_MENU_RETURN


echo.
echo We are all rooting for you to navigate the menu correctly so you can make
echo strange and fascinating characters. You're not making this easy though by
echo typing in random stuff like %input%.
pause
GOTO COREMODS_MENU

:MISSION_REPLAY
IF '%MISSION_REPLAY_MOD%'=='installed' (
SET MISSION_REPLAY_MOD=none
SET AVATAR_RAMPAGE_MOD=none
GOTO COREMODS_MENU
)
SET MISSION_REPLAY_MOD=installed
GOTO COREMODS_MENU

:ALL_CUSTOMIZATION
IF '%ALL_CUSTOMIZATION_MOD%'=='installed' (
SET ALL_CUSTOMIZATION_MOD=none
GOTO COREMODS_MENU
)
SET ALL_CUSTOMIZATION_MOD=installed
GOTO COREMODS_MENU

:WARDROBE_COLOR_CHANGER
IF '%WARDROBE_COLOR_CHANGER_MOD%'=='installed' (
SET WARDROBE_COLOR_CHANGER_MOD=none
GOTO COREMODS_MENU
)
SET WARDROBE_COLOR_CHANGER_MOD=installed
GOTO COREMODS_MENU

:TANK_RADIO
IF '%TANK_RADIO_MOD%'=='installed' (
SET TANK_RADIO_MOD=none
GOTO COREMODS_MENU
)
SET TANK_RADIO_MOD=installed
GOTO COREMODS_MENU

:CHEATS
IF '%CHEATS_MOD%'=='installed' (
SET CHEATS_MOD=none
GOTO COREMODS_MENU
)
SET CHEATS_MOD=installed
SET OPEN_CHEATS_MOD=none
GOTO COREMODS_MENU

:EXTRA_CLOTHING
IF '%EXTRA_CLOTHING_MOD%'=='installed' (
SET EXTRA_CLOTHING_MOD=none
GOTO COREMODS_MENU
)
SET EXTRA_CLOTHING_MOD=installed
SET BIG_HAT_REMOVAL_MOD=none
SET BLOWUP_FACE_TOILET_LEGS_MOD=none
GOTO COREMODS_MENU

:EXTRA_COLORS_CLOTHING
IF '%EXTRA_COLORS_CLOTHING_MOD%'=='installed' (
SET EXTRA_COLORS_CLOTHING_MOD=none
GOTO COREMODS_MENU
)
SET EXTRA_COLORS_CLOTHING_MOD=installed
GOTO COREMODS_MENU

:CRUISE_CONTROL_LOWERED
IF '%CRUISE_CONTROL_LOWERED_MOD%'=='installed' (
SET CRUISE_CONTROL_LOWERED_MOD=none
GOTO COREMODS_MENU
)
SET CRUISE_CONTROL_LOWERED_MOD=installed
GOTO COREMODS_MENU

:SCYTHE_SOUNDFIX
IF '%SCYTHE_SOUNDFIX_MOD%'=='installed' (
SET SCYTHE_SOUNDFIX_MOD=none
GOTO COREMODS_MENU
)
SET SCYTHE_SOUNDFIX_MOD=installed
GOTO COREMODS_MENU




:INTERFACE_MENU

cls
echo *******************************************************************************
echo *                   OPTIONAL INTERFACE AND CONTROL MODS                       *
echo *                                                                             *
if '%STICKY_CAM_MOD%'=='none' (
echo *   1. Sticky Camera - Prevents camera from recentering for kbam users        *
)
if '%STICKY_CAM_MOD%'=='installed' (
echo * I 1. Sticky Camera - Prevents camera from recentering for kbam users        *
)
if '%NOAUTOAIM_MOD%'=='none' (
echo *   2. Disable Autoaim                                                        *
)
if '%NOAUTOAIM_MOD%'=='installed' (
echo * I 2. Disable Autoaim                                                        *
)
if '%INCREASEDFOV_MOD%'=='none' (
echo *   3. Increased FOV                                                          *
)
if '%INCREASEDFOV_MOD%'=='installed' (
echo * I 3. Increased FOV                                                          *
)
if '%DISABLE_TUTORIAL_MOD%'=='none' (
echo *   4. Disable Tutorial popups - issues with Escort/Super Ethical PR Opportun *
)
if '%DISABLE_TUTORIAL_MOD%'=='installed' (
echo * I 4. Disable Tutorial popups - issues with Escort/Super Ethical PR Opportun *
)
if '%CLIP_EDITOR_MOD%'=='none' (
echo *   5. Clip Editor - Issues with target markers. Only use for machinima       *
)
if '%CLIP_EDITOR_MOD%'=='installed' (
echo * I 5. Clip Editor - Issues with target markers. Only use for machinima       *
)
if '%CLIP_EDITOR_HIDEHUD_MOD%'=='none' (
echo *   6. Clip Editor Hide Hud version                                           *
)
if '%CLIP_EDITOR_HIDEHUD_MOD%'=='installed' (
echo * I 6. Clip Editor Hide Hud version                                           *
)
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *   0. Return to Main Menu                                                    *
echo *                                                                             *
echo *******************************************************************************
echo.

SET input=badInput
SET /p input=Type in a menu item number: 
IF '%input%'=='1' GOTO STICKY_CAM
IF '%input%'=='2' GOTO NOAUTOAIM
IF '%input%'=='3' GOTO INCREASEDFOV
IF '%input%'=='4' GOTO DISABLE_TUTORIAL
IF '%input%'=='5' GOTO CLIP_EDITOR
IF '%input%'=='6' GOTO CLIP_EDITOR_HIDEHUD
IF '%input%'=='0' GOTO ALL_MENU_RETURN


echo.
echo We are all rooting for you to navigate the menu correctly so you can make
echo strange and fascinating characters. You're not making this easy though by
echo typing in random stuff like %input%.
pause
GOTO INTERFACE_MENU


:STICKY_CAM
IF '%STICKY_CAM_MOD%'=='installed' (
SET STICKY_CAM_MOD=none
GOTO INTERFACE_MENU
)
SET STICKY_CAM_MOD=installed
GOTO INTERFACE_MENU

:NOAUTOAIM
IF '%NOAUTOAIM_MOD%'=='installed' (
SET NOAUTOAIM_MOD=none
GOTO INTERFACE_MENU
)
SET NOAUTOAIM_MOD=installed
GOTO INTERFACE_MENU

:INCREASEDFOV
IF '%INCREASEDFOV_MOD%'=='installed' (
SET INCREASEDFOV_MOD=none
GOTO INTERFACE_MENU
)
SET INCREASEDFOV_MOD=installed
GOTO INTERFACE_MENU

:DISABLE_TUTORIAL
IF '%DISABLE_TUTORIAL_MOD%'=='installed' (
SET DISABLE_TUTORIAL_MOD=none
GOTO INTERFACE_MENU
)
SET DISABLE_TUTORIAL_MOD=installed
GOTO INTERFACE_MENU

:CLIP_EDITOR
IF '%CLIP_EDITOR_MOD%'=='installed' (
SET CLIP_EDITOR_MOD=none
GOTO INTERFACE_MENU
)
SET CLIP_EDITOR_MOD=installed
SET CLIP_EDITOR_HIDEHUD_MOD=none
GOTO INTERFACE_MENU

:CLIP_EDITOR_HIDEHUD
IF '%CLIP_EDITOR_HIDEHUD_MOD%'=='installed' (
SET CLIP_EDITOR_HIDEHUD_MOD=none
GOTO INTERFACE_MENU
)
SET CLIP_EDITOR_HIDEHUD_MOD=installed
SET CLIP_EDITOR_MOD=none
GOTO INTERFACE_MENU


:CHARACTER_MENU

cls
echo *******************************************************************************
echo *                   OPTIONAL CHARACTER AND CLOTHING MODS                      *
echo *                                                                             *
if '%EXTENDED_SLIDERS_MOD%'=='none' (
echo *   1. Extended Character Creation Sliders                                    *
)
if '%EXTENDED_SLIDERS_MOD%'=='installed' (
echo * I 1. Extended Character Creation Sliders                                    *
)
if '%EXTENDED_TAUNTS_MOD%'=='none' (
echo *   2. Extended Taunts/Compliments - Adds 30+ New Taunts/Compliments          *
)
if '%EXTENDED_TAUNTS_MOD%'=='installed' (
echo * I 2. Extended Taunts/Compliments - Adds 30+ New Taunts/Compliments          *
)
if '%BLOWUP_FACE_TOILET_LEGS_MOD%'=='none' (
echo *   3. Use player face for blowup doll and give the toilet player legs        *
)
if '%BLOWUP_FACE_TOILET_LEGS_MOD%'=='installed' (
echo * I 3. Use player face for blowup doll and give the toilet player legs        *
)
if '%BIG_HAT_REMOVAL_MOD%'=='none' (
echo *   4. Remove big hat restrictions in cars - clipping issues from hell        *
)
if '%BIG_HAT_REMOVAL_MOD%'=='installed' (
echo * I 4. Remove big hat restrictions in cars - clipping issues from hell        *
)
if '%HEIGHT_1_CHILD_MOD%'=='none' (
echo *   5. Set Player Height to child size                                        *
)
if '%HEIGHT_1_CHILD_MOD%'=='installed' (
echo * I 5. Set Player Height to child size                                        *
)
if '%HEIGHT_2_TEEN_MOD%'=='none' (
echo *   6. Set Player Height to teen size                                         *
)
if '%HEIGHT_2_TEEN_MOD%'=='installed' (
echo * I 6. Set Player Height to teen size                                         *
)
if '%HEIGHT_3_FEMALE_MOD%'=='none' (
echo *   7. Set Player Height to average female size                               *
)
if '%HEIGHT_3_FEMALE_MOD%'=='installed' (
echo * I 7. Set Player Height to average female size                               *
)

if '%HEIGHT_4_BRUTE_MOD%'=='none' (
echo *   8. Set Player Height to brute size                                        *
)
if '%HEIGHT_4_BRUTE_MOD%'=='installed' (
echo * I 8. Set Player Height to brute size                                        *
)
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *   0. Return to Main Menu                                                    *
echo *                                                                             *
echo *******************************************************************************
echo.

SET input=badInput
SET /p input=Type in a menu item number: 
IF '%input%'=='1' GOTO EXTENDED_SLIDERS
IF '%input%'=='2' GOTO EXTENDED_TAUNTS
IF '%input%'=='3' GOTO BLOWUP_FACE_TOILET_LEGS
IF '%input%'=='4' GOTO BIG_HAT_REMOVAL
IF '%input%'=='5' GOTO HEIGHT_1_CHILD
IF '%input%'=='6' GOTO HEIGHT_2_TEEN
IF '%input%'=='7' GOTO HEIGHT_3_FEMALE
IF '%input%'=='8' GOTO HEIGHT_4_BRUTE
IF '%input%'=='0' GOTO ALL_MENU_RETURN


echo.
echo We are all rooting for you to navigate the menu correctly so you can make
echo strange and fascinating characters. You're not making this easy though by
echo typing in random stuff like %input%.
pause
GOTO CHARACTER_MENU

:EXTENDED_SLIDERS
IF '%EXTENDED_SLIDERS_MOD%'=='installed' (
SET EXTENDED_SLIDERS_MOD=none
GOTO CHARACTER_MENU
)
SET EXTENDED_SLIDERS_MOD=installed
GOTO CHARACTER_MENU

:EXTENDED_TAUNTS
IF '%EXTENDED_TAUNTS_MOD%'=='installed' (
SET EXTENDED_TAUNTS_MOD=none
GOTO CHARACTER_MENU
)
SET EXTENDED_TAUNTS_MOD=installed
GOTO CHARACTER_MENU

:BLOWUP_FACE_TOILET_LEGS
IF '%BLOWUP_FACE_TOILET_LEGS_MOD%'=='installed' (
SET BLOWUP_FACE_TOILET_LEGS_MOD=none
SET EXTRA_CLOTHING_MOD=installed
GOTO CHARACTER_MENU
)
SET BLOWUP_FACE_TOILET_LEGS_MOD=installed
SET EXTRA_CLOTHING_MOD=none
GOTO CHARACTER_MENU

:BIG_HAT_REMOVAL
IF '%BIG_HAT_REMOVAL_MOD%'=='installed' (
SET BIG_HAT_REMOVAL_MOD=none
SET EXTRA_CLOTHING_MOD=installed
GOTO CHARACTER_MENU
)
SET BIG_HAT_REMOVAL_MOD=installed
SET EXTRA_CLOTHING_MOD=none
SET BLOWUP_FACE_TOILET_LEGS_MOD=none
GOTO CHARACTER_MENU

:HEIGHT_1_CHILD
IF '%HEIGHT_1_CHILD_MOD%'=='installed' (
SET HEIGHT_1_CHILD_MOD=none
GOTO CHARACTER_MENU
)
SET HEIGHT_1_CHILD_MOD=installed
SET HEIGHT_2_TEEN_MOD=none
SET HEIGHT_3_FEMALE_MOD=none
SET HEIGHT_4_BRUTE_MOD=none
SET GPO_ETHICAL_TOUGH_MOD=none
SET GPO_ETHICAL_FRAGILE_MOD=none
SET GPO_UNETHICAL_TOUGH_MOD=none
SET GPO_UNETHICAL_FRAGILE_MOD=none
GOTO CHARACTER_MENU

:HEIGHT_2_TEEN
IF '%HEIGHT_2_TEEN_MOD%'=='installed' (
SET HEIGHT_2_TEEN_MOD=none
GOTO CHARACTER_MENU
)
SET HEIGHT_1_CHILD_MOD=none
SET HEIGHT_2_TEEN_MOD=installed
SET HEIGHT_3_FEMALE_MOD=none
SET HEIGHT_4_BRUTE_MOD=none
SET GPO_ETHICAL_TOUGH_MOD=none
SET GPO_ETHICAL_FRAGILE_MOD=none
SET GPO_UNETHICAL_TOUGH_MOD=none
SET GPO_UNETHICAL_FRAGILE_MOD=none

GOTO CHARACTER_MENU

:HEIGHT_3_FEMALE
IF '%HEIGHT_3_FEMALE_MOD%'=='installed' (
SET HEIGHT_3_FEMALE_MOD=none
GOTO CHARACTER_MENU
)
SET HEIGHT_1_CHILD_MOD=none
SET HEIGHT_2_TEEN_MOD=none
SET HEIGHT_3_FEMALE_MOD=installed
SET HEIGHT_4_BRUTE_MOD=none
SET GPO_ETHICAL_TOUGH_MOD=none
SET GPO_ETHICAL_FRAGILE_MOD=none
SET GPO_UNETHICAL_TOUGH_MOD=none
SET GPO_UNETHICAL_FRAGILE_MOD=none
GOTO CHARACTER_MENU

:HEIGHT_4_BRUTE
IF '%HEIGHT_4_BRUTE_MOD%'=='installed' (
SET HEIGHT_4_BRUTE_MOD=none
GOTO CHARACTER_MENU
)
SET HEIGHT_1_CHILD_MOD=none
SET HEIGHT_2_TEEN_MOD=none
SET HEIGHT_3_FEMALE_MOD=none
SET HEIGHT_4_BRUTE_MOD=installed
SET GPO_ETHICAL_TOUGH_MOD=none
SET GPO_ETHICAL_FRAGILE_MOD=none
SET GPO_UNETHICAL_TOUGH_MOD=none
SET GPO_UNETHICAL_FRAGILE_MOD=none
GOTO CHARACTER_MENU





:VEHICLE_MENU

cls
echo *******************************************************************************
echo *                          OPTIONAL VEHICLE MODS                              *
echo *                                                                             *
echo *                                                                             *
if '%HELI_BOAT_CUSTOMIZATION_MOD%'=='none' (
echo *   1. Convert all Helis to Boats so they can be customized at the Dock       *
)
if '%HELI_BOAT_CUSTOMIZATION_MOD%'=='installed' (
echo * I 1. Convert all Helis to Boats so they can be customized at the Dock       *
)
if '%SPECTER_SPEED_MOD%'=='none' (
echo *   2. Increase Specter Speed - Has slight camera issues in advanced mode     *
)
if '%SPECTER_SPEED_MOD%'=='installed' (
echo * I 2. Increase Specter Speed - Has slight camera issues in advanced mode     *
)
if '%DEATH_ORB_MOD%'=='none' (
echo *   3. Death Orb - Converts the Metal Ball into a plane that can fly around   *
)
if '%DEATH_ORB_MOD%'=='installed' (
echo * I 3. Death Orb - Converts the Metal Ball into a plane that can fly around   *
)
if '%WHEEL_SIZE_MOD%'=='none' (
echo *   4. Wheel Size Limit Mod - Greatly increases the customization range       *
)
if '%WHEEL_SIZE_MOD%'=='installed' (
echo * I 4. Wheel Size Limit Mod - Greatly increases the customization range       *
)
if '%BULLDOG_MOD%'=='none' (
echo *   5. 3 Homies in a Bulldog - extra homie seat and vehicle tweaks            *
)
if '%BULLDOG_MOD%'=='installed' (
echo * I 5. 3 Homies in a Bulldog - extra homie seat and vehicle tweaks            *
)
if '%SUPERFAST_MOD%'=='none' (
echo *   6. Supermodder's Super Fast Cars and Vtols +                              *
)
if '%SUPERFAST_MOD%'=='installed' (
echo * I 6. Supermodder's Super Fast Cars and Vtols +                              *
)
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *   0. Return to Main Menu                                                    *
echo *                                                                             *
echo *******************************************************************************
echo.

SET input=badInput
SET /p input=Type in a menu item number:
IF '%input%'=='1' GOTO HELI_BOAT_CUSTOMIZATION_MOD
IF '%input%'=='2' GOTO SPECTER_SPEED
IF '%input%'=='3' GOTO DEATH_ORB
IF '%input%'=='4' GOTO WHEEL_SIZE
IF '%input%'=='5' GOTO BULLDOG
IF '%input%'=='6' GOTO SUPERFAST
IF '%input%'=='0' GOTO ALL_MENU_RETURN


echo.
echo We are all rooting for you to navigate the menu correctly so you can make
echo strange and fascinating characters. You're not making this easy though by
echo typing in random stuff like %input%.
pause
GOTO VEHICLE_MENU

:HELI_BOAT_CUSTOMIZATION_MOD
IF '%HELI_BOAT_CUSTOMIZATION_MOD%'=='installed' (
SET HELI_BOAT_CUSTOMIZATION_MOD=none
GOTO VEHICLE_MENU
)
SET HELI_BOAT_CUSTOMIZATION_MOD=installed
GOTO VEHICLE_MENU

:SPECTER_SPEED
IF '%SPECTER_SPEED_MOD%'=='installed' (
SET SPECTER_SPEED_MOD=none
GOTO VEHICLE_MENU
)
SET SPECTER_SPEED_MOD=installed
GOTO VEHICLE_MENU

:DEATH_ORB
IF '%DEATH_ORB_MOD%'=='installed' (
SET DEATH_ORB_MOD=none
GOTO VEHICLE_MENU
)
SET DEATH_ORB_MOD=installed
GOTO VEHICLE_MENU

:WHEEL_SIZE
IF '%WHEEL_SIZE_MOD%'=='installed' (
SET WHEEL_SIZE_MOD=none
GOTO VEHICLE_MENU
)
SET WHEEL_SIZE_MOD=installed
GOTO VEHICLE_MENU

:BULLDOG
IF '%BULLDOG_MOD%'=='installed' (
SET BULLDOG_MOD=none
GOTO VEHICLE_MENU
)
SET BULLDOG_MOD=installed
GOTO VEHICLE_MENU

:SUPERFAST
IF '%SUPERFAST_MOD%'=='installed' (
SET SUPERFAST_MOD=none
GOTO VEHICLE_MENU
)
SET SUPERFAST_MOD=installed
GOTO VEHICLE_MENU






:WEAPON_MENU

cls
echo *******************************************************************************
echo *                          OPTIONAL WEAPON MODS                               *
echo *                                                                             *
echo *   NOTE: All weapon mods use a slightly modified version of Snipe's          *
echo *   Permanent Temporary Weapons as a base. Weapon mods can be really touchy   *
echo *   so make sure your partner is using the same ones for coop.                *
echo *                                                                             *
if '%PERM_TEMP_WEAPONS_MOD%'=='none' (
echo *   1. Snipe's Permanent Temporary Weapons                                    *
)
if '%PERM_TEMP_WEAPONS_MOD%'=='installed' (
echo * I 1. Snipe's Permanent Temporary Weapons                                    *
)
if '%WEAPON_REBALANCE_MOD%'=='none' (
echo *   2. Shitface's Weapon Rebalance                                            *
)
if '%WEAPON_REBALANCE_MOD%'=='installed' (
echo * I 2. Shitface's Weapon Rebalance                                            *
)
if '%HANDGUN_FUN_MOD%'=='none' (
echo *   3. 50percentJoe's Handgun Fun                                             *
)
if '%HANDGUN_FUN_MOD%'=='installed' (
echo * I 3. 50percentJoe's Handgun Fun                                             *
)
if '%EXCESSIVE_MOD%'=='none' (
echo *   4. Luckz's Excessive SR3                                                  *
)
if '%EXCESSIVE_MOD%'=='installed' (
echo * I 4. Luckz's Excessive SR3                                                  *
)
if '%GRAVEDIGGER_MOD%'=='none' (
echo *   5. Triple shot, Incendiary, Explosive Gravedigger - includes Handgun Fun  *
)
if '%GRAVEDIGGER_MOD%'=='installed' (
echo * I 5. Triple shot, Incendiary, Explosive Gravedigger - includes Handgun Fun  *
)
if '%ERADICATOR_MOD%'=='none' (
echo *   6. Eradicator 1.0 Cyber Buster Mod                                        *
)
if '%ERADICATOR_MOD%'=='installed' (
echo * I 6. Eradicator 1.0 Cyber Buster Mod                                        *
)
if '%EPIC_AIRSTRIKE_MOD%'=='none' (
echo *   7. Epic Airstrike MOAB + More                                             *
)
if '%EPIC_AIRSTRIKE_MOD%'=='installed' (
echo * I 7. Epic Airstrike MOAB + More                                             *
)
if '%WEAPON_ALL_MOD%'=='none' (
echo *   8. All of the above weapon mods                                           *
)
if '%WEAPON_ALL_MOD%'=='installed' (
echo * I 8. All of the above weapon mods                                           *
)
if '%WEAPON_ALL_MOD%'=='notready' (
echo *                                                                             *
)
echo *                                                                             *
if '%EPIC_AIRSTRIKE_MOD%'=='none' (
echo *                                                                             *
echo *                                                                             *
)
if '%EPIC_AIRSTRIKE_MOD%'=='installed' (
echo *   NOTE: Selecting Epic Airstrike deselects the misc fast and mad and sad    *
echo *   panda freefall physics since they all use the same files                  *
)
echo *                                                                             *
echo *   0. Return to Main Menu                                                    *
echo *                                                                             *
echo *******************************************************************************
echo.

SET input=badInput
SET /p input=Type in a menu item number: 
IF '%input%'=='1' GOTO PERM_TEMP_WEAPONS
IF '%input%'=='2' GOTO WEAPON_REBALANCE
IF '%input%'=='3' GOTO HANDGUN_FUN
IF '%input%'=='4' GOTO EXCESSIVE
IF '%input%'=='5' GOTO GRAVEDIGGER
IF '%input%'=='6' GOTO ERADICATOR
IF '%input%'=='7' GOTO EPIC_AIRSTRIKE
IF '%input%'=='8' GOTO WEAPON_ALL
IF '%input%'=='0' GOTO ALL_MENU_RETURN


echo.
echo We are all rooting for you to navigate the menu correctly so you can make
echo strange and fascinating characters. You're not making this easy though by
echo typing in random stuff like %input%.
pause
GOTO WEAPON_MENU



:PERM_TEMP_WEAPONS
IF '%PERM_TEMP_WEAPONS_MOD%'=='installed' (
SET PERM_TEMP_WEAPONS_MOD=none
GOTO WEAPON_MENU
)
SET PERM_TEMP_WEAPONS_MOD=installed
SET WEAPON_REBALANCE_MOD=none
SET HANDGUN_FUN_MOD=none
SET EXCESSIVE_MOD=none
SET GRAVEDIGGER_MOD=none
SET ERADICATOR_MOD=none
SET WEAPON_ALL_MOD=notready
GOTO WEAPON_MENU

:WEAPON_REBALANCE
IF '%WEAPON_REBALANCE_MOD%'=='installed' (
SET WEAPON_REBALANCE_MOD=none
GOTO WEAPON_MENU
)
SET PERM_TEMP_WEAPONS_MOD=none
SET WEAPON_REBALANCE_MOD=installed
SET HANDGUN_FUN_MOD=none
SET EXCESSIVE_MOD=none
SET GRAVEDIGGER_MOD=none
SET ERADICATOR_MOD=none
SET EPIC_AIRSTRIKE_MOD=none
SET WEAPON_ALL_MOD=notready
GOTO WEAPON_MENU

:HANDGUN_FUN
IF '%HANDGUN_FUN_MOD%'=='installed' (
SET HANDGUN_FUN_MOD=none
GOTO WEAPON_MENU
)
SET PERM_TEMP_WEAPONS_MOD=none
SET WEAPON_REBALANCE_MOD=none
SET HANDGUN_FUN_MOD=installed
SET EXCESSIVE_MOD=none
SET GRAVEDIGGER_MOD=none
SET ERADICATOR_MOD=none
SET EPIC_AIRSTRIKE_MOD=none
SET WEAPON_ALL_MOD=notready
GOTO WEAPON_MENU

:EXCESSIVE
IF '%EXCESSIVE_MOD%'=='installed' (
SET EXCESSIVE_MOD=none
GOTO WEAPON_MENU
)
SET PERM_TEMP_WEAPONS_MOD=none
SET WEAPON_REBALANCE_MOD=none
SET HANDGUN_FUN_MOD=none
SET EXCESSIVE_MOD=installed
SET GRAVEDIGGER_MOD=none
SET ERADICATOR_MOD=none
SET EPIC_AIRSTRIKE_MOD=none
SET WEAPON_ALL_MOD=notready
GOTO WEAPON_MENU

:GRAVEDIGGER
IF '%GRAVEDIGGER_MOD%'=='installed' (
SET GRAVEDIGGER_MOD=none
GOTO WEAPON_MENU
)
SET PERM_TEMP_WEAPONS_MOD=none
SET WEAPON_REBALANCE_MOD=none
SET HANDGUN_FUN_MOD=none
SET EXCESSIVE_MOD=none
SET GRAVEDIGGER_MOD=installed
SET ERADICATOR_MOD=none
SET EPIC_AIRSTRIKE_MOD=none
SET WEAPON_ALL_MOD=notready
GOTO WEAPON_MENU

:ERADICATOR
IF '%ERADICATOR_MOD%'=='installed' (
SET ERADICATOR_MOD=none
GOTO WEAPON_MENU
)
SET PERM_TEMP_WEAPONS_MOD=none
SET WEAPON_REBALANCE_MOD=none
SET HANDGUN_FUN_MOD=none
SET EXCESSIVE_MOD=none
SET GRAVEDIGGER_MOD=none
SET ERADICATOR_MOD=installed
SET EPIC_AIRSTRIKE_MOD=none
SET WEAPON_ALL_MOD=notready
GOTO WEAPON_MENU


:EPIC_AIRSTRIKE
IF '%EPIC_AIRSTRIKE_MOD%'=='installed' (
SET EPIC_AIRSTRIKE_MOD=none
GOTO WEAPON_MENU
)
SET PERM_TEMP_WEAPONS_MOD=none
SET WEAPON_REBALANCE_MOD=none
SET HANDGUN_FUN_MOD=none
SET EXCESSIVE_MOD=none
SET GRAVEDIGGER_MOD=none
SET ERADICATOR_MOD=none
SET EPIC_AIRSTRIKE_MOD=installed
SET WEAPON_ALL_MOD=notready
SET FASTANDMAD_MOD=none
SET SADPANDA_MOD=none
GOTO WEAPON_MENU


:WEAPON_ALL
IF '%WEAPON_ALL_MOD%'=='installed' (
SET WEAPON_ALL_MOD=none
GOTO WEAPON_MENU
)
SET PERM_TEMP_WEAPONS_MOD=none
SET WEAPON_REBALANCE_MOD=none
SET HANDGUN_FUN_MOD=none
SET EXCESSIVE_MOD=none
SET GRAVEDIGGER_MOD=none
SET ERADICATOR_MOD=none
SET EPIC_AIRSTRIKE_MOD=none
SET WEAPON_ALL_MOD=notready
GOTO WEAPON_MENU


:GANG_MENU

cls
echo *******************************************************************************
echo *                        OPTIONAL GANG PLUS ONE MOD                           *
echo *                                                                             *
if '%GPO_ETHICAL_TOUGH_MOD%'=='none' (
echo *   1. Gang Plus One Ethical Tough Version                                    *
)
if '%GPO_ETHICAL_TOUGH_MOD%'=='installed' (
echo * I 1. Gang Plus One Ethical Tough Version                                    *
)
if '%GPO_ETHICAL_FRAGILE_MOD%'=='none' (
echo *   2. Gang Plus One Ethical Fragile Version                                  *
)
if '%GPO_ETHICAL_FRAGILE_MOD%'=='installed' (
echo * I 2. Gang Plus One Ethical Fragile Version                                  *
)
if '%GPO_UNETHICAL_TOUGH_MOD%'=='none' (
echo *   3. Gang Plus One Unethical Tough version                                  *
)
if '%GPO_UNETHICAL_TOUGH_MOD%'=='installed' (
echo * I 3. Gang Plus One Unethical Tough version                                  *
)
if '%GPO_UNETHICAL_FRAGILE_MOD%'=='none' (
echo *   4. Gang Plus One Unethical Fragile version                                *
)
if '%GPO_UNETHICAL_FRAGILE_MOD%'=='installed' (
echo * I 4. Gang Plus One Unethical Fragile version                                *
)
if '%GPO_CROWD_MOD%'=='none' (
echo *   5. Gang Plus One Crowd Addon                                              *
)
if '%GPO_CROWD_MOD%'=='installed' (
echo * I 5. Gang Plus One Crowd Addon                                              *
)
echo *                                                                             *
echo *   Gang Plus One changes/adds a ton of homie customization options. Tough    *
echo *   makes the homies tougher and fragile just changes the skins leaving hp    *
echo *   and weapons the same. Ethical versions are safe and only replace the      *
echo *   existing 81 vanilla homies. Unethical adds even more, but can cause save  *
echo *   issues if you remove the mod while extra homies are selected. The crowd   *
echo *   addon simply removes civilians from cribs and substitues all saints.      *
echo *   Check out the Reference Documentation folder for detailed info.           *
echo *   Selecting any GPO mod will toggle off Pixel's Zombie mod and height mods  *
echo *   since they use the same files.                                            *
echo *                                                                             *
echo *   0. Return to Main Menu                                                    *
echo *                                                                             *
echo *******************************************************************************
echo.

SET input=badInput
SET /p input=Type in a menu item number: 
IF '%input%'=='1' GOTO GPO_ETHICAL_TOUGH
IF '%input%'=='2' GOTO GPO_ETHICAL_FRAGILE
IF '%input%'=='3' GOTO GPO_UNETHICAL_TOUGH
IF '%input%'=='4' GOTO GPO_UNETHICAL_FRAGILE
IF '%input%'=='5' GOTO GPO_CROWD
IF '%input%'=='0' GOTO ALL_MENU_RETURN


echo.
echo We are all rooting for you to navigate the menu correctly so you can make
echo strange and fascinating characters. You're not making this easy though by
echo typing in random stuff like %input%.
pause
GOTO GANG_MENU


:GPO_ETHICAL_TOUGH
IF '%GPO_ETHICAL_TOUGH_MOD%'=='installed' (
SET GPO_ETHICAL_TOUGH_MOD=none
GOTO GANG_MENU
)
SET GPO_ETHICAL_TOUGH_MOD=installed
SET GPO_ETHICAL_FRAGILE_MOD=none
SET GPO_UNETHICAL_TOUGH_MOD=none
SET GPO_UNETHICAL_FRAGILE_MOD=none
SET PIXEL_ZOMBIE_MOD=none
SET HEIGHT_1_CHILD_MOD=none
SET HEIGHT_2_TEEN_MOD=none
SET HEIGHT_3_FEMALE_MOD=none
SET HEIGHT_4_BRUTE_MOD=none

GOTO GANG_MENU

:GPO_ETHICAL_FRAGILE
IF '%GPO_ETHICAL_FRAGILE_MOD%'=='installed' (
SET GPO_ETHICAL_FRAGILE_MOD=none
GOTO GANG_MENU
)
SET GPO_ETHICAL_TOUGH_MOD=none
SET GPO_ETHICAL_FRAGILE_MOD=installed
SET GPO_UNETHICAL_TOUGH_MOD=none
SET GPO_UNETHICAL_FRAGILE_MOD=none
SET PIXEL_ZOMBIE_MOD=none
SET HEIGHT_1_CHILD_MOD=none
SET HEIGHT_2_TEEN_MOD=none
SET HEIGHT_3_FEMALE_MOD=none
SET HEIGHT_4_BRUTE_MOD=none
GOTO GANG_MENU

:GPO_UNETHICAL_TOUGH
IF '%GPO_UNETHICAL_TOUGH_MOD%'=='installed' (
SET GPO_UNETHICAL_TOUGH_MOD=none
GOTO GANG_MENU
)
SET GPO_ETHICAL_TOUGH_MOD=none
SET GPO_ETHICAL_FRAGILE_MOD=none
SET GPO_UNETHICAL_TOUGH_MOD=installed
SET GPO_UNETHICAL_FRAGILE_MOD=none
SET PIXEL_ZOMBIE_MOD=none
SET HEIGHT_1_CHILD_MOD=none
SET HEIGHT_2_TEEN_MOD=none
SET HEIGHT_3_FEMALE_MOD=none
SET HEIGHT_4_BRUTE_MOD=none
GOTO GANG_MENU

:GPO_UNETHICAL_FRAGILE
IF '%GPO_UNETHICAL_FRAGILE_MOD%'=='installed' (
SET GPO_UNETHICAL_FRAGILE_MOD=none
GOTO GANG_MENU
)
SET GPO_ETHICAL_TOUGH_MOD=none
SET GPO_ETHICAL_FRAGILE_MOD=none
SET GPO_UNETHICAL_TOUGH_MOD=none
SET GPO_UNETHICAL_FRAGILE_MOD=installed
SET PIXEL_ZOMBIE_MOD=none
SET HEIGHT_1_CHILD_MOD=none
SET HEIGHT_2_TEEN_MOD=none
SET HEIGHT_3_FEMALE_MOD=none
SET HEIGHT_4_BRUTE_MOD=none
GOTO GANG_MENU

:GPO_CROWD
IF '%GPO_CROWD_MOD%'=='installed' (
SET GPO_CROWD_MOD=none
GOTO GANG_MENU
)
SET GPO_CROWD_MOD=installed
SET PIXEL_ZOMBIE_MOD=none
GOTO GANG_MENU



:CHEAT_MENU
cls
echo *******************************************************************************
echo *                           OPTIONAL CHEAT MODS                               *
echo *                                                                             *
if '%OPEN_CHEATS_MOD%'=='none' (
echo *   1. Open Cheats - Cheats will no longer flag your save as Cheat Enabled    *
)
if '%OPEN_CHEATS_MOD%'=='installed' (
echo * I 1. Open Cheats - Cheats will no longer flag your save as Cheat Enabled    *
)
if '%NO_NOTORIETY_MOD%'=='none' (
echo *   2. Forced Zero Notoriety - Prevents police and gang notoriety completely  *
)
if '%NO_NOTORIETY_MOD%'=='installed' (
echo * I 2. Forced Zero Notoriety - Prevents police and gang notoriety completely  *
)
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
if '%OPEN_CHEATS_MOD%'=='none' (
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
)
if '%OPEN_CHEATS_MOD%'=='installed' (
echo *   NOTE: Open Cheats also includes all additional cheats from the core cheat *
echo *         mod. Selecting it here will toggle off the Additional Cheats option *
echo *         in the Core Mods menu. This is by design.
)
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *                                                                             *
echo *   0. Return to Main Menu                                                    *
echo *                                                                             *
echo *******************************************************************************
echo.

SET input=badInput
SET /p input=Type in a menu item number: 
IF '%input%'=='1' GOTO OPEN_CHEATS
IF '%input%'=='2' GOTO NO_NOTORIETY
IF '%input%'=='0' GOTO ALL_MENU_RETURN


echo.
echo We are all rooting for you to navigate the menu correctly so you can make
echo strange and fascinating characters. You're not making this easy though by
echo typing in random stuff like %input%.
pause
GOTO CHEAT_MENU

:OPEN_CHEATS
IF '%OPEN_CHEATS_MOD%'=='installed' (
SET OPEN_CHEATS_MOD=none
SET CHEATS_MOD=installed
GOTO CHEAT_MENU
)
SET OPEN_CHEATS_MOD=installed
SET CHEATS_MOD=none
GOTO CHEAT_MENU

:NO_NOTORIETY
IF '%NO_NOTORIETY_MOD%'=='installed' (
SET NO_NOTORIETY_MOD=none
GOTO CHEAT_MENU
)
SET NO_NOTORIETY_MOD=installed
GOTO CHEAT_MENU






:MISC_MENU
cls
echo *******************************************************************************
echo *                           OPTIONAL MISC MODS                                *
echo *                                                                             *
if '%HOMIE_ALT_MOD%'=='none' (
echo *   1. Homie Alts - Gat, Masked Angel, Nude Oleg, Bondage Zimos, Genki Backup *
)
if '%HOMIE_ALT_MOD%'=='installed' (
echo * I 1. Homie Alts - Gat, Masked Angel, Nude Oleg, Bondage Zimos, Genki Backup *
)
if '%PIXEL_ZOMBIE_MOD%'=='none' (
echo *   2. Pixel's Zombie Mod v2 - Enhances the Zombie Ped cheat                  *
)
if '%PIXEL_ZOMBIE_MOD%'=='installed' (
echo * I 2. Pixel's Zombie Mod v2 - Enhances the Zombie Ped cheat                  *
)
if '%FASTANDMAD_MOD%'=='none' (
echo *   3. Fast and Mad - fast crouching, swimming, super manapult, stilwater     *
)
if '%FASTANDMAD_MOD%'=='installed' (
echo * I 3. Fast and Mad - fast crouching, swimming, super manapult, stilwater     *
)
if '%SADPANDA_MOD%'=='none' (
echo *   4. Changes freefall physics in open world to match sad panda skyblazing   *
)
if '%SADPANDA_MOD%'=='installed' (
echo * I 4. Changes freefall physics in open world to match sad panda skyblazing   *
)
if '%AVATAR_RAMPAGE_MOD%'=='none' (
echo *   5. Avatar Rampage - tele outside as huge avatars on deckers.die replay    *
)
if '%AVATAR_RAMPAGE_MOD%'=='installed' (
echo * I 5. Avatar Rampage - tele outside as huge avatars on deckers.die replay    *
)
if '%HQ_HELIPAD_TELEPORT_MOD%'=='none' (
echo *   6. Change Saints HQ entry telport to helipad so you can launch tanks off  *
)
if '%HQ_HELIPAD_TELEPORT_MOD%'=='installed' (
echo * I 6. Change Saints HQ entry telport to helipad so you can launch tanks off  *
)
echo *                                                                             *
if '%HOMIE_ALT_MOD%'=='none' (
echo *                                                                             *
echo *                                                                             *
)
if '%HOMIE_ALT_MOD%'=='installed' (
echo *   NOTE: The alt Saints Backup crew is Professor Genki, the Tiger, skinballs *
echo *         and question mark. Ethical!                                         *
)
echo *                                                                             *
if '%PIXEL_ZOMBIE_MOD%'=='none' (
echo *                                                                             *
echo *                                                                             *
)
if '%PIXEL_ZOMBIE_MOD%'=='installed' (
echo *   NOTE: Selecting Pixel's Zombie Mod will deselect any Gang Plus One mods   *
echo *   since they both use the same files.                                       *
)
echo *                                                                             *
if '%FASTANDMAD_MOD%'=='none' (
echo *                                                                             *
echo *                                                                             *
)
if '%FASTANDMAD_MOD%'=='installed' (
echo *   NOTE: Selecting Fast and Mad or freefall physics deselects the epic       *
echo *         airstrike moab mod since they all use the same files                *
)
echo *                                                                             *
echo *                                                                             *
echo *   0. Return to Main Menu                                                    *
echo *                                                                             *
echo *******************************************************************************
echo.

SET input=badInput
SET /p input=Type in a menu item number: 
IF '%input%'=='1' GOTO HOMIE_ALT
IF '%input%'=='2' GOTO PIXEL_ZOMBIE
IF '%input%'=='3' GOTO FASTANDMAD
IF '%input%'=='4' GOTO SADPANDA
IF '%input%'=='5' GOTO AVATAR_RAMPAGE
IF '%input%'=='6' GOTO HQ_HELIPAD_TELEPORT
IF '%input%'=='0' GOTO ALL_MENU_RETURN


echo.
echo We are all rooting for you to navigate the menu correctly so you can make
echo strange and fascinating characters. You're not making this easy though by
echo typing in random stuff like %input%.
pause
GOTO MISC_MENU

:HOMIE_ALT
IF '%HOMIE_ALT_MOD%'=='installed' (
SET HOMIE_ALT_MOD=none
GOTO MISC_MENU
)
SET HOMIE_ALT_MOD=installed
GOTO MISC_MENU

:PIXEL_ZOMBIE
IF '%PIXEL_ZOMBIE_MOD%'=='installed' (
SET PIXEL_ZOMBIE_MOD=none
GOTO MISC_MENU
)
SET PIXEL_ZOMBIE_MOD=installed
SET GPO_ETHICAL_TOUGH_MOD=none
SET GPO_ETHICAL_FRAGILE_MOD=none
SET GPO_UNETHICAL_TOUGH_MOD=none
SET GPO_UNETHICAL_FRAGILE_MOD=none
SET GPO_CROWD=none
GOTO MISC_MENU

:FASTANDMAD
IF '%FASTANDMAD_MOD%'=='installed' (
SET FASTANDMAD_MOD=none
GOTO MISC_MENU
)
SET FASTANDMAD_MOD=installed
SET SADPANDA_MOD=none
SET EPIC_AIRSTRIKE_MOD=none
SET WEAPON_REBALANCE_MOD=none
GOTO MISC_MENU

:SADPANDA
IF '%SADPANDA_MOD%'=='installed' (
SET SADPANDA_MOD=none
GOTO MISC_MENU
)
SET FASTANDMAD_MOD=none
SET SADPANDA_MOD=installed
SET EPIC_AIRSTRIKE_MOD=none
GOTO MISC_MENU

:AVATAR_RAMPAGE
IF '%AVATAR_RAMPAGE_MOD%'=='installed' (
SET AVATAR_RAMPAGE_MOD=none
GOTO MISC_MENU
)
SET AVATAR_RAMPAGE_MOD=installed
SET MISSION_REPLAY_MOD=installed
GOTO MISC_MENU

:HQ_HELIPAD_TELEPORT
IF '%HQ_HELIPAD_TELEPORT_MOD%'=='installed' (
SET HQ_HELIPAD_TELEPORT_MOD=none
GOTO MISC_MENU
)
SET HQ_HELIPAD_TELEPORT_MOD=installed
GOTO MISC_MENU




:ALL_MENU_RETURN
SET COREMODS_MENU_PLUS=none
SET INTERFACE_MENU_PLUS=none
SET CHARACTER_MENU_PLUS=none
SET VEHICLE_MENU_PLUS=none
SET WEAPON_MENU_PLUS=none
SET GANG_MENU_PLUS=none
SET CHEAT_MENU_PLUS=none
SET MISC_MENU_PLUS=none
if '%MISSION_REPLAY_MOD%'=='installed' (SET COREMODS_MENU_PLUS=installed)
if '%ALL_CUSTOMIZATION_MOD%'=='installed' (SET COREMODS_MENU_PLUS=installed)
if '%WARDROBE_COLOR_CHANGER_MOD%'=='installed' (SET COREMODS_MENU_PLUS=installed)
if '%TANK_RADIO_MOD%'=='installed' (SET COREMODS_MENU_PLUS=installed)
if '%CHEATS_MOD%'=='installed' (SET COREMODS_MENU_PLUS=installed)
if '%EXTRA_CLOTHING_MOD%'=='installed' (SET COREMODS_MENU_PLUS=installed)
if '%EXTRA_COLORS_CLOTHING_MOD%'=='installed' (SET COREMODS_MENU_PLUS=installed)
if '%CRUISE_CONTROL_LOWERED_MOD%'=='installed' (SET COREMODS_MENU_PLUS=installed)
if '%SCYTHE_SOUNDFIX_MOD%'=='installed' (SET COREMODS_MENU_PLUS=installed)
if '%STICKY_CAM_MOD%'=='installed' (SET INTERFACE_MENU_PLUS=installed)
if '%NOAUTOAIM_MOD%'=='installed' (SET INTERFACE_MENU_PLUS=installed)
if '%INCREASEDFOV_MOD%'=='installed' (SET INTERFACE_MENU_PLUS=installed)
if '%DISABLE_TUTORIAL_MOD%'=='installed' (SET INTERFACE_MENU_PLUS=installed)
if '%CLIP_EDITOR_MOD%'=='installed' (SET INTERFACE_MENU_PLUS=installed)
if '%CLIP_EDITOR_HIDEHUD_MOD%'=='installed' (SET INTERFACE_MENU_PLUS=installed)
if '%EXTENDED_SLIDERS_MOD%'=='installed' (SET CHARACTER_MENU_PLUS=installed)
if '%EXTENDED_TAUNTS_MOD%'=='installed' (SET CHARACTER_MENU_PLUS=installed)
if '%BLOWUP_FACE_TOILET_LEGS_MOD%'=='installed' (SET CHARACTER_MENU_PLUS=installed)
if '%BIG_HAT_REMOVAL_MOD%'=='installed' (SET CHARACTER_MENU_PLUS=installed)
if '%HEIGHT_1_CHILD_MOD%'=='installed' (SET CHARACTER_MENU_PLUS=installed)
if '%HEIGHT_2_TEEN_MOD%'=='installed' (SET CHARACTER_MENU_PLUS=installed)
if '%HEIGHT_3_FEMALE_MOD%'=='installed' (SET CHARACTER_MENU_PLUS=installed)
if '%HEIGHT_4_BRUTE_MOD%'=='installed' (SET CHARACTER_MENU_PLUS=installed)
if '%HELI_BOAT_CUSTOMIZATION_MOD%'=='installed' (SET VEHICLE_MENU_PLUS=installed)
if '%SPECTER_SPEED_MOD%'=='installed' (SET VEHICLE_MENU_PLUS=installed)
if '%DEATH_ORB_MOD%'=='installed' (SET VEHICLE_MENU_PLUS=installed)
if '%WHEEL_SIZE_MOD%'=='installed' (SET VEHICLE_MENU_PLUS=installed)
if '%BULLDOG_MOD%'=='installed' (SET VEHICLE_MENU_PLUS=installed)
if '%SUPERFAST_MOD%'=='installed' (SET VEHICLE_MENU_PLUS=installed)
if '%PERM_TEMP_WEAPONS_MOD%'=='installed' (SET WEAPON_MENU_PLUS=installed)
if '%WEAPON_REBALANCE_MOD%'=='installed' (SET WEAPON_MENU_PLUS=installed)
if '%HANDGUN_FUN_MOD%'=='installed' (SET WEAPON_MENU_PLUS=installed)
if '%EXCESSIVE_MOD%'=='installed' (SET WEAPON_MENU_PLUS=installed)
if '%GRAVEDIGGER_MOD%'=='installed' (SET WEAPON_MENU_PLUS=installed)
if '%ERADICATOR_MOD%'=='installed' (SET WEAPON_MENU_PLUS=installed)
if '%EPIC_AIRSTRIKE_MOD%'=='installed' (SET WEAPON_MENU_PLUS=installed)
if '%WEAPON_ALL_MOD%'=='installed' (SET WEAPON_MENU_PLUS=installed)
if '%GPO_ETHICAL_TOUGH_MOD%'=='installed' (SET GANG_MENU_PLUS=installed)
if '%GPO_ETHICAL_FRAGILE_MOD%'=='installed' (SET GANG_MENU_PLUS=installed)
if '%GPO_UNETHICAL_TOUGH_MOD%'=='installed' (SET GANG_MENU_PLUS=installed)
if '%GPO_UNETHICAL_FRAGILE_MOD%'=='installed' (SET GANG_MENU_PLUS=installed)
if '%GPO_CROWD_MOD%'=='installed' (SET GANG_MENU_PLUS=installed)
if '%OPEN_CHEATS_MOD%'=='installed' (SET CHEAT_MENU_PLUS=installed)
if '%NO_NOTORIETY_MOD%'=='installed' (SET CHEAT_MENU_PLUS=installed)
if '%HOMIE_ALT_MOD%'=='installed' (SET MISC_MENU_PLUS=installed)
if '%PIXEL_ZOMBIE_MOD%'=='installed' (SET MISC_MENU_PLUS=installed)
if '%FASTANDMAD_MOD%'=='installed' (SET MISC_MENU_PLUS=installed)
if '%SADPANDA_MOD%'=='installed' (SET MISC_MENU_PLUS=installed)
if '%AVATAR_RAMPAGE_MOD%'=='installed' (SET MISC_MENU_PLUS=installed)
if '%HQ_HELIPAD_TELEPORT_MOD%'=='installed' (SET MISC_MENU_PLUS=installed)


GOTO ADVANCED_MENU

:SET_BUILD_TYPE_PATCH
SET BUILD_STYLE=PATCH
GOTO BUILD

:SET_BUILD_TYPE_LOOSE
SET BUILD_STYLE=LOOSE
GOTO BUILD



REM ---------------------------------------------------------------------------

:BUILD

REM Clear out any previous files from a previous build
echo deleting previous build files
del MY_CUSTOM_SR3_MODS\*.* /Q
del optional_mod_stuff\tmp_workspace\interface\*.* /Q
del optional_mod_stuff\tmp_workspace\sr3_city_0\*.* /Q
del optional_mod_stuff\tmp_workspace\patch_uncompressed\*.* /Q
del optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\*.* /Q
del optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_uncompressed_tmp\*.* /Q

if '%BUILD_STYLE%'=='PATCH' (
REM Copy the vanilla extracted patch files into our temp working folders - we only want to do this if we're building a patch file and not loose
copy optional_mod_stuff\original\patch_compressed\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
copy optional_mod_stuff\original\patch_uncompressed\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_uncompressed_tmp\ /y
)


REM CORE MODS BUILD

if '%MISSION_REPLAY_MOD%'=='installed' (
copy optional_mod_stuff\interface.vpp_pc\mission_replay\*.str2_pc optional_mod_stuff\tmp_workspace\interface\ /y
copy optional_mod_stuff\interface.vpp_pc\vint_doc_containers.asm_pc optional_mod_stuff\tmp_workspace\interface\ /y
copy optional_mod_stuff\sr3_city_0.vpp_pc\mission_replay\*.str2_pc optional_mod_stuff\tmp_workspace\sr3_city_0\ /y
copy optional_mod_stuff\sr3_city_0.vpp_pc\stream_grid.asm_pc optional_mod_stuff\tmp_workspace\sr3_city_0\ /y
copy optional_mod_stuff\patch_uncompressed.vpp_pc\mission_replay\*.str2_pc optional_mod_stuff\tmp_workspace\patch_uncompressed\ /y
copy optional_mod_stuff\patch_uncompressed.vpp_pc\patch_vint_doc_containers.asm_pc optional_mod_stuff\tmp_workspace\patch_uncompressed\ /y
copy optional_mod_stuff\misc_tables.vpp_pc\mission_replay\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
copy optional_mod_stuff\patch_compressed.vpp_pc\mission_replay\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)


if '%ALL_CUSTOMIZATION_MOD%'=='installed' (
copy optional_mod_stuff\interface.vpp_pc\customize_all_vehicles\*.str2_pc optional_mod_stuff\tmp_workspace\interface\ /y
copy optional_mod_stuff\interface.vpp_pc\vint_doc_containers.asm_pc optional_mod_stuff\tmp_workspace\interface\ /y
copy optional_mod_stuff\misc_tables.vpp_pc\extended_customization\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
copy optional_mod_stuff\vehicles.vpp_pc\extended_customization\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_uncompressed_tmp\ /y
copy optional_mod_stuff\dlc2.vpp_pc\extended_customization\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_uncompressed_tmp\ /y
)

if '%WARDROBE_COLOR_CHANGER_MOD%'=='installed' (
copy optional_mod_stuff\patch_uncompressed.vpp_pc\wardrobe_color_changer\*.str2_pc optional_mod_stuff\tmp_workspace\patch_uncompressed\ /y
copy optional_mod_stuff\patch_uncompressed.vpp_pc\patch_vint_doc_containers.asm_pc optional_mod_stuff\tmp_workspace\patch_uncompressed\ /y
)

if '%TANK_RADIO_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\tank_radios\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

if '%CHEATS_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\cheats\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

if '%EXTRA_CLOTHING_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\extra_store_clothing\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

if '%EXTRA_COLORS_CLOTHING_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\extra_colors_for_clothing_and_makeup\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

if '%CRUISE_CONTROL_LOWERED_MOD%'=='installed' (
copy optional_mod_stuff\patch_uncompressed.vpp_pc\cruise_control_lowered\*.str2_pc optional_mod_stuff\tmp_workspace\patch_uncompressed\ /y
copy optional_mod_stuff\patch_uncompressed.vpp_pc\patch_vint_doc_containers.asm_pc optional_mod_stuff\tmp_workspace\patch_uncompressed\ /y
)

if '%SCYTHE_SOUNDFIX_MOD%'=='installed' (
copy optional_mod_stuff\dlc2.vpp_pc\scythe_weapon_sound_fix\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)



REM OPTIONAL INTERFACE AND CONTROL MODS BUILD

if '%STICKY_CAM_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\sticky_camera\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

if '%NOAUTOAIM_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\no_autoaim\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

if '%INCREASEDFOV_MOD%'=='installed' (
copy optional_mod_stuff\patch_compressed.vpp_pc\increasedfov\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

if '%DISABLE_TUTORIAL_MOD%'=='installed' (
copy optional_mod_stuff\patch_uncompressed.vpp_pc\tutorial_disable\*.str2_pc optional_mod_stuff\tmp_workspace\patch_uncompressed\ /y
copy optional_mod_stuff\patch_uncompressed.vpp_pc\patch_vint_doc_containers.asm_pc optional_mod_stuff\tmp_workspace\patch_uncompressed\ /y
)

if '%CLIP_EDITOR_MOD%'=='installed' (
copy optional_mod_stuff\interface.vpp_pc\clip_editor\*.str2_pc optional_mod_stuff\tmp_workspace\interface\ /y
copy optional_mod_stuff\interface.vpp_pc\vint_doc_containers.asm_pc optional_mod_stuff\tmp_workspace\interface\ /y
)

if '%CLIP_EDITOR_HIDEHUD_MOD%'=='installed' (
copy optional_mod_stuff\interface.vpp_pc\clip_editor_hidehud\*.str2_pc optional_mod_stuff\tmp_workspace\interface\ /y
copy optional_mod_stuff\interface.vpp_pc\vint_doc_containers.asm_pc optional_mod_stuff\tmp_workspace\interface\ /y
)




REM OPTIONAL CHARACTER AND CLOTHING MODS BUILD

if '%EXTENDED_SLIDERS_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\menu_scripting\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
copy optional_mod_stuff\interface.vpp_pc\menu_scripting\*.str2_pc optional_mod_stuff\tmp_workspace\interface\ /y
copy optional_mod_stuff\interface.vpp_pc\vint_doc_containers.asm_pc optional_mod_stuff\tmp_workspace\interface\ /y
)

if '%EXTENDED_TAUNTS_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\extended_taunts\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

if '%BLOWUP_FACE_TOILET_LEGS_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\blowup_doll_player_face_toilet_legs\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

if '%BIG_HAT_REMOVAL_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\extra_store_clothing_no_big_hat\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

if '%HEIGHT_1_CHILD_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\height\1_child\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

if '%HEIGHT_2_TEEN_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\height\2_teen\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

if '%HEIGHT_3_FEMALE_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\height\3_female\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

if '%HEIGHT_4_BRUTE_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\height\4_brute\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)




REM OPTIONAL VEHICLE MODS BUILD

if '%SPECTER_SPEED_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\faster_specter\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%DEATH_ORB_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\flying_ball\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%WHEEL_SIZE_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\wheel_size_limit\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%BULLDOG_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\3homies_bulldog\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%SUPERFAST_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\superfastcarsandvtolsplus\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)



REM OPTIONAL WEAPON MODS BUILD

if '%PERM_TEMP_WEAPONS_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\perm_temp_weapons\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
copy optional_mod_stuff\patch_compressed.vpp_pc\perm_temp_weapons\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%WEAPON_REBALANCE_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\weapon_rebalance\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
copy optional_mod_stuff\patch_compressed.vpp_pc\weapon_rebalance\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%HANDGUN_FUN_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\handgun_fun\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
copy optional_mod_stuff\patch_compressed.vpp_pc\handgun_fun\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%EXCESSIVE_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\excessivesr3\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
copy optional_mod_stuff\patch_compressed.vpp_pc\excessivesr3\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%GRAVEDIGGER_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\gravedigger\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
copy optional_mod_stuff\patch_compressed.vpp_pc\gravedigger\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%ERADICATOR_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\eradicator\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
copy optional_mod_stuff\patch_compressed.vpp_pc\eradicator\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%EPIC_AIRSTRIKE_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\epic_airstrike\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
copy optional_mod_stuff\patch_compressed.vpp_pc\epic_airstrike\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)





REM OPTIONALGANG PLUS ONE MOD BUILD

if '%GPO_ETHICAL_TOUGH_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\gang_plus_one_ethical_1A_tough_version\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%GPO_ETHICAL_FRAGILE_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\gang_plus_one_ethical_1B_fragile_version\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%GPO_UNETHICAL_TOUGH_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\gang_plus_one_unethical_2A_tough_version\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%GPO_UNETHICAL_FRAGILE_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\gang_plus_one_unethical_2B_fragile_version\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%GPO_CROWD_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\gang_plus_one_crowd_addon\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)




REM OPTIONAL CHEAT MODS

if '%OPEN_CHEATS_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\cheats_open\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%NO_NOTORIETY_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\forced_no_notoriety\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)




REM OPTIONAL MISC MODS

if '%HOMIE_ALT_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\homies_alts\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%PIXEL_ZOMBIE_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\pixel_zombie_v2\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%FASTANDMAD_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\fastandmad\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)
if '%SADPANDA_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\sadpandaphysics\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)

REM This will overwrite mission 16 of mission replay if selected
if '%AVATAR_RAMPAGE_MOD%'=='installed' (
copy optional_mod_stuff\sr3_city_0.vpp_pc\avatar_rampage\*.str2_pc optional_mod_stuff\tmp_workspace\sr3_city_0\ /y
)

REM Only this one mod uses this asm so we're going to just copy it over. No need to rebuild or update
if '%HQ_HELIPAD_TELEPORT_MOD%'=='installed' (
copy optional_mod_stuff\sr3_city_0.vpp_pc\hq_entrance_helipad_teleport\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_uncompressed_tmp\ /y
)




REM We are doing this one last because it MUST overwrite all _veh files to be used properly
if '%HELI_BOAT_CUSTOMIZATION_MOD%'=='installed' (
copy optional_mod_stuff\misc_tables.vpp_pc\heli_boat_conversion_for_customizing\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y
)



REM All files should now be in place. Let's build some asm files

IF EXIST "optional_mod_stuff\tmp_workspace\interface\vint_doc_containers.asm_pc" (
tools\Gibbed.SaintsRow3.UpdateASM.exe optional_mod_stuff\tmp_workspace\interface\vint_doc_containers.asm_pc optional_mod_stuff\tmp_workspace\interface\
copy optional_mod_stuff\tmp_workspace\interface\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_uncompressed_tmp\ /y
)

IF EXIST "optional_mod_stuff\tmp_workspace\sr3_city_0\stream_grid.asm_pc" (
tools\Gibbed.SaintsRow3.UpdateASM.exe optional_mod_stuff\tmp_workspace\sr3_city_0\stream_grid.asm_pc optional_mod_stuff\tmp_workspace\sr3_city_0\
copy optional_mod_stuff\tmp_workspace\sr3_city_0\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_uncompressed_tmp\ /y
)

IF EXIST "optional_mod_stuff\tmp_workspace\patch_uncompressed\patch_vint_doc_containers.asm_pc" (
tools\Gibbed.SaintsRow3.UpdateASM.exe optional_mod_stuff\tmp_workspace\patch_uncompressed\patch_vint_doc_containers.asm_pc optional_mod_stuff\tmp_workspace\patch_uncompressed\
copy optional_mod_stuff\tmp_workspace\patch_uncompressed\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_uncompressed_tmp\ /y
)

REM Copy in any extra user mods
copy optional_mod_stuff\1-MY_EXTRA_MODS\*.* optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ /y

if '%BUILD_STYLE%'=='PATCH' (
REM Time to pack up our new patch files
tools\Gibbed.SaintsRow3.PackVPP.exe -c MY_CUSTOM_SR3_MODS\patch_compressed.vpp_pc optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\
tools\Gibbed.SaintsRow3.PackVPP.exe MY_CUSTOM_SR3_MODS\patch_uncompressed.vpp_pc optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_uncompressed_tmp\
)

if '%BUILD_STYLE%'=='LOOSE' (
REM Simply copy the individual mods over
copy optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\ MY_CUSTOM_SR3_MODS\ /y
copy optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_uncompressed_tmp\ MY_CUSTOM_SR3_MODS\ /y
)


REM Finally Cleanup any temp files
echo deleting previous build files
del optional_mod_stuff\tmp_workspace\interface\*.* /Q
del optional_mod_stuff\tmp_workspace\sr3_city_0\*.* /Q
del optional_mod_stuff\tmp_workspace\patch_uncompressed\*.* /Q
del optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_compressed_tmp\*.* /Q
del optional_mod_stuff\tmp_workspace\tmp_patch_dump\patch_uncompressed_tmp\*.* /Q



GOTO END


:END
cls
echo.
echo                      A BRIGHTER FUTURE FOR A BETTER LIFE
echo.
echo.
echo   You will find your shiny new custom SRTT mods in the handy
echo   MY_CUSTOM_SR3_MODS folder.
echo.
echo   If you chose coop compatible or patch style then your 2 new files go here:
echo   ..\steam\steamapps\common\saints row the third\packfiles\pc\cache\
echo.
echo   If you chose loose mod collection then the metric fuckton of files go here:
echo   ..\steam\steamapps\common\saints row the third\
echo.
echo.
echo   Just make certain that you've already run the included cleanup tool to get
echo   rid of any crap left over from previous versions before moving anything over.
echo.
echo.
echo.
echo   http://idolninja.com
echo   http://saintsrowmods.com
echo.
echo.
pause

:OOPS